<?php use_helper('UrlFunctions'); ?>

<?php
header("Content-Type: text/html; charset=utf-8");
ViewResponse::getInstance()->setMethodAjax();

$sUserId = myUser::getUser()->getUserId();

function ShowJsonUbigeo($nombreElm, $sIdPadre)
{
  $o_PcbterritorrialFN = new PcbMTerritorrialFN();
  $o_PcbterritorrialFN->setIdpadre($sIdPadre);
  $a_Repterritorrial = $o_PcbterritorrialFN->select();
  foreach ($a_Repterritorrial as $o_RepterritorrialBN)
  {
    $sId         = trim($o_RepterritorrialBN->getIdterritorial());
    $sNombre     = trim($o_RepterritorrialBN->getNombre());
    $s_dataCbo[] = "['$nombreElm','".$sId."_;_".$sNombre."']";
  }
  
  $sString = "[
                ['$nombreElm','_;_ - Seleccione - '],
                ".implode(",", $s_dataCbo)."
              ]";
  return $sString;
}
if($sTypeRequest == "Ubigeo")
{
  echo ShowJsonUbigeo($nombreElm, $sIdPadre);
}

function showJsonSubSector($nombreElm, $sIdPadre)
{
  $o_PcbSubsectorFN = new PcbSubsectorFN();
  $o_PcbSubsectorFN->setIdsector($sIdPadre);
  $a_PcbSubsector = $o_PcbSubsectorFN->select();
  foreach ($a_PcbSubsector as $o_PcbSubsectorBN)
  {
    $sId         = trim($o_PcbSubsectorBN->getIdsubsector());
    $sNombre     = trim($o_PcbSubsectorBN->getDescripcion());
    $s_dataCbo[] = "['$nombreElm','".$sId."_;_".$sNombre."']";
  }
  
  $sString = "[
                ['$nombreElm','_;_ - Seleccione - '],
                ".implode(",", $s_dataCbo)."
              ]";
  return $sString;
}
if($sTypeRequest == "sSubSectorFind")
{
  echo showJsonSubSector($nombreElm, $sIdPadre);
}